-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local InterfaceFooInterface = require 'mdb.bmc.kepler.Example.InterfaceFooInterface'
local IDemoUnitInterface = require 'mdb.bmc.demo.IDemoUnitInterface'

local childs = {}
local ClassB = {childs = childs}

local Mdb = require 'mc.mdb'

local TClassB = Mdb.register_object('/bmc/kepler/Example/ClassB', {
    {name = 'InterfaceFoo', interface = InterfaceFooInterface.InterfaceFoo},
    {name = 'IDemoUnit', interface = IDemoUnitInterface.IDemoUnit}
})
ClassB.ClassB = TClassB

function TClassB:ctor()
    self.path = '/bmc/kepler/Example/ClassB'
end

return ClassB
